LINUX.ORG.RU

Radeon 9600Pro и Red Hat 9.0


0

0

У меня до Radeon 9600Pro была NVIDIA FX5200 и с установкой дров не было проблем. Теперь же когда я ставлю драйвер (fx*.rpm) и редактирую XF86Config-4 то у меня идут все 3D-фишки (Скиринсейверы, игрушки и т.д.) но совсем отсутствует 3D-ускорение. Почитал документацию - надо бы ядро новое скомпелировать с поддержкой новых модулей. После того как создаю ".config" (просто копирую содержимое из ../configs/*-atahlon.config) или же просто делаю "make oldconfig", потом встроенными в драйвер утилитами (make.sh и make_install.sh) что-то (что не пойму) делаю с новыми модулями драйвера, вроде бы они их копируют в /lib/modules/kernel*/ и что-то ещё где-то прописывают(сам не понимаю вообще как всё это работает). Затем "make dep", "make bzImage". Когда дело доходит до "make modules", то сразу же выдает ошибку. То ли что-то не найдено (вроде бы какая-то директория), или ещё что-то - вообщем не разберусь. И вообще почти все мои попытки создать новое ядро (там с патчем от Win4lin) заканчиваются неудачей и ошибками.

А даже если что-то и получается то ядро нормально не грузится и останавливат загрузку с какими нибудь сообщениями. По мне проще скачать уже готовое скомпелированое ядро в rpm пакете. Случайно никто не знает есть ли такие ядра с поддержкой видюх от ATI??? Пожалуйста, киньте мне ссылочку с подробной документацией по компиляции ядра, чтобы было понятно начинающему, а также документацию (на русском) для установки драйвера на ATI. Да и я всегда ставлю в установке ред хата - "полная" !!! Поэтому вроде бы с пакетами у меня всё должно быть нормально. А может этот Red Hat 9.0 глюченный???

Ответ на: Re: Radeon 9600Pro и Red Hat 9.0 от jackill

Re: Radeon 9600Pro и Red Hat 9.0

Проверь, установлены ли kernel-sources, скачай отсюда (http://www.ati.com/support/drivers/linux/radeon-linux.html?type=linux&pro...) драйвер для твоей версии XFree86 (скорее всего 4.3). Установи этот rpm-пакет (rpm -ihv --nodeps). В процессе установки он сам скомпилируется. После установки обязательно запусти fglrxconfig. После этих нехитрых дейтсвий h/w OpenGL заработает (у меня работает). Для проверки в xterm введи команду 'fglrxinfo'. Там должно быть написано "ATI Graphics Adapter ... Radeon 9600 Generic ...".

anonymous ()
Ответ на: Re: Radeon 9600Pro и Red Hat 9.0 от anonymous

Re: Radeon 9600Pro и Red Hat 9.0

С картами, где есть video out, необходимо поменять после всех операций BusID. Короче, в FAQ есть ссылка и там все абсолютно доступно описано. Главное - последние дрова от ATI взять, глюков меньше будет (хотя не факт).

Envel ★★★ ()
Ответ на: Re: Radeon 9600Pro и Red Hat 9.0 от Envel

Re: Radeon 9600Pro и Red Hat 9.0

Короче, когда у меня ставится драйвер на видюху (fx*.rpm), причем для версии XFree86-4.3.0. В конце установки он выдает сообщение: типа не могу подключить модуль (fx*.0), что-то типа несовместимость версий. У меня ядро 2.4.20-8. В документации проводились опыты с ядром 2.4.21. Наверное в этом то и причина. Да и все исходники ядра 2.4.20-8 у меня, естественно, стоят. Вообщем то XF86config-4 я нормально отредактирую командой типа "fxlgconfig". Всё равно у меня отсутствует 3D-ускорение, а в остальном (Частота обновления, и разрешение экрана) всё в порядке. Что мне делать???

Mepavel ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.